# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/interrupt-controller/allwinner,sun7i-a20-sc-nmi.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A20 Non-Maskable Interrupt Controller Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

allOf:
  - $ref: /schemas/interrupt-controller.yaml#

properties:
  "#interrupt-cells":
    const: 2
    description:
      The first cell is the IRQ number, the second cell the trigger
      type as defined in interrupt.txt in this directory.

  compatible:
    oneOf:
      - const: allwinner,sun6i-a31-r-intc
      - const: allwinner,sun6i-a31-sc-nmi
        deprecated: true
      - const: allwinner,sun7i-a20-sc-nmi
      - items:
          - const: allwinner,sun8i-a83t-r-intc
          - const: allwinner,sun6i-a31-r-intc
      - const: allwinner,sun9i-a80-nmi
      - items:
          - const: allwinner,sun50i-a64-r-intc
          - const: allwinner,sun6i-a31-r-intc
      - items:
          - const: allwinner,sun50i-a100-nmi
          - const: allwinner,sun9i-a80-nmi
      - items:
          - const: allwinner,sun50i-h6-r-intc
          - const: allwinner,sun6i-a31-r-intc

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  interrupt-controller: true

required:
  - "#interrupt-cells"
  - compatible
  - reg
  - interrupts
  - interrupt-controller

unevaluatedProperties: false

examples:
  - |
    interrupt-controller@1c00030 {
        compatible = "allwinner,sun7i-a20-sc-nmi";
        interrupt-controller;
        #interrupt-cells = <2>;
        reg = <0x01c00030 0x0c>;
        interrupt-parent = <&gic>;
        interrupts = <0 0 4>;
    };

...
